Foxit PDF SDK

Public Member Functions | List of all members
FSDK.LRContext Class Reference

## Public Member Functions
| constructor (page)
| Constructor, from a PDF Page object. More...
| GetRootElement ()
| Get the root element of structure tree. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| StartParse (pause)
| Start to parse layout recognition for related PDF page. More...

## Detailed Description

This class can be used to parse layout recognition to get the root element.

## Member Function Documentation

## ◆ constructor()

FSDK.LRContext.constructor | ( | page |  | ) |

Constructor, from a PDF Page object.

Parameters

  [in] | page | A valid PDF page object.

Note
  If module "LayoutRecognition" is not defined in the license information which is used in function FSDK.Library.Initialize, that means user has no right in using layoutrecognition related functions and this constructor will throw exception FSDK.e_ErrNoLayoutRecognitionModuleRight.

## ◆ GetRootElement()

FSDK.LRContext.GetRootElement | ( |  | ) |

Get the root element of structure tree.

Please ensure current context object has been parsed successfully before calling this function; otherwise, no valid root structure element can be retrieved.

Returns
  Root element.

## ◆ IsEmpty()

FSDK.LRContext.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ StartParse()

FSDK.LRContext.StartParse | ( | pause |  | ) |

Start to parse layout recognition for related PDF page.

It may take a long time to do parsing, so Foxit PDF SDK uses a progressive process to do this. If there is any error occurs in parsing progress, this function will throw exception. Please refer to values starting from FSDK.e_ErrFile.

Parameters

  [in] | pause | Pause callback object which decides if the parsing process needs to be paused. This can be null which means not to pause during the parsing process. If this is not null, it should be a valid pause object implemented by user. Default value: null.

Returns
  A progressive object. Please check the rate of current progress by function FSDK.Progressive.GetRateOfProgress. If the rate is not 100 yet, call function FSDK.Progressive.Continue to continue the progress until the progress is finished.